Package com.google.earth.kml._2

# Class ChangeType

java.lang.Object
com.google.earth.kml._2.ChangeType

public class ChangeType extends Object
<p>Java class for ChangeType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ChangeType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <choice maxOccurs="unbounded"> <element ref="{http://earth.google.com/kml/2.1}Object" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Feature" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Geometry" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}StyleSelector" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}TimePrimitive" minOccurs="0"/> </choice> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<jakarta.xml.bind.JAXBElement<? extends ObjectType>>`
  `objectOrFeatureOrGeometry`
  Any element ultimately derived from Object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.xml.bind.JAXBElement<? extends ObjectType>>`
  `getObjectOrFeatureOrGeometry()`
  Any element ultimately derived from Object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### objectOrFeatureOrGeometry

    protected List<jakarta.xml.bind.JAXBElement<? extends ObjectType>> objectOrFeatureOrGeometry
    Any element ultimately derived from Object.

- ## Constructor Details

  - ### ChangeType

    public ChangeType()

- ## Method Details

  - ### getObjectOrFeatureOrGeometry

    public List<jakarta.xml.bind.JAXBElement<? extends ObjectType>> getObjectOrFeatureOrGeometry()
    Any element ultimately derived from Object. Gets the value of the objectOrFeatureOrGeometry property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the objectOrFeatureOrGeometry property.

    For example, to add a new item, do as follows:

         getObjectOrFeatureOrGeometry().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``BalloonStyleType``>` `JAXBElement``<``DocumentType``>` `JAXBElement``<``FeatureType``>` `JAXBElement``<``FolderType``>` `JAXBElement``<``GeometryType``>` `JAXBElement``<``GroundOverlayType``>` `JAXBElement``<``IconStyleType``>` `JAXBElement``<``LabelStyleType``>` `JAXBElement``<``LatLonBoxType``>` `JAXBElement``<``LineStringType``>` `JAXBElement``<``LineStyleType``>` `JAXBElement``<``LinearRingType``>` `JAXBElement``<``LinkType``>` `JAXBElement``<``LinkType``>` `JAXBElement``<``ListStyleType``>` `JAXBElement``<``LocationType``>` `JAXBElement``<``LodType``>` `JAXBElement``<``LookAtType``>` `JAXBElement``<``ModelType``>` `JAXBElement``<``MultiGeometryType``>` `JAXBElement``<``NetworkLinkType``>` `JAXBElement``<``ObjectType``>` `JAXBElement``<``OrientationType``>` `JAXBElement``<``PlacemarkType``>` `JAXBElement``<``PointType``>` `JAXBElement``<``PolyStyleType``>` `JAXBElement``<``PolygonType``>` `JAXBElement``<``RegionType``>` `JAXBElement``<``ScaleType``>` `JAXBElement``<``ScreenOverlayType``>` `JAXBElement``<``StyleMapType``>` `JAXBElement``<``StyleSelectorType``>` `JAXBElement``<``StyleType``>` `JAXBElement``<``TimePrimitiveType``>` `JAXBElement``<``TimeSpanType``>` `JAXBElement``<``TimeStampType``>`

    Returns:
      The value of the objectOrFeatureOrGeometry property.